require "fakeweb"
require "json"

module MockUrls
  @district = 
   {
      url: "https://stg-api.edmodoqabranch.com/districts/21417",
      id: 21417,
      name: "Young Money Cash Money Billionaires",
      abbreviated_name: "YMCMB",
      motto: nil,
      lead_title: "Superintendent",
      address: "60 Hard Knocks Ave.",
      zip_code: "94401",
      city: nil,
      county: nil,
      state: "CA",
      website: nil,
      phone_number: nil,
      country_id: nil,
      avatars: {
        small: nil,
        large: "https://u.ph.edim.co/default-avatars/default-icon-district-profile-green.png"
      },
      lead: {
        url: "https://stg-api.edmodoqabranch.com/users/34954895",
        id: 34954895,
        type: "teacher",
        username: "dr_drake",
        user_title: nil,
        first_name: "Aubrey",
        last_name: "Graham",
        avatars: {
            small: "https://u.ph.edim.co/default-avatars/44_42.jpg",
            large: "https://u.ph.edim.co/default-avatars/44_140.jpg"
        }
      }
    }.to_json

  @districts =
    [
      {
        url: "https://stg-api.edmodoqabranch.com/districts/1",
        id: 1,
        name: "Al Inst Deaf And Blind",
        abbreviated_name: nil,
        motto: "test motto",
        lead_title: "superintendent",
        address: "P O Drawer 698",
        zip_code: "35161",
        city: "Talladega",
        county: "Talladega",
        state: "AL",
        website: nil,
        phone_number: "2567613200",
        country_id: "US",
        avatars: {
          small: nil,
          large: "https://u.ph.edim.co/default-avatars/default-icon-district-profile-green.png"
        },
        lead: {
          url: "https://stg-api.edmodoqabranch.com/users/1",
          id: 1,
          type: "teacher",
          username: "nic",
          user_title: "Mr",
          first_name: "Nic",
          last_name: "Borg",
          avatars: {
            small: "https://u.ph.edim.co/c4ca/1_1_42.png",
            large: "https://u.ph.edim.co/c4ca/1_1_140.png"
          }
        }
      },
      {
        url: "https://stg-api.edmodoqabranch.com/districts/2",
        id: 2,
        name: "Alabama Clinical School",
        abbreviated_name: nil,
        motto: nil,
        lead_title: nil,
        address: "1221 Alton Dr",
        zip_code: "35210",
        city: "Birmingham",
        county: "Jefferson",
        state: "AL",
        website: nil,
        phone_number: "2565466324",
        country_id: "US",
        avatars: {
          small: nil,
          large: "https://u.ph.edim.co/default-avatars/default-icon-district-profile-green.png"
        },
        lead: nil
      }
    ].to_json

  FakeWeb.register_uri(:get, "https://stg-api.edmodoqabranch.com/districts/21417", 
                       :body => @district)

  FakeWeb.register_uri(:get, "https://stg-api.edmodoqabranch.com/districts", :body => @districts)

end
